Method: projects.locations.instances.setIamPolicy

Sets the IAM Access control policy for the specified Instance. Overwrites any existing policy.

HTTP request

POST https://run.googleapis.com/v2/{resource}:setIamPolicy

Path parameters

Parameters
resource

string

REQUIRED: The resource for which the policy is being specified. See Resource names for the appropriate value for this field. It takes the form projects/{project}/locations/{location}/instances/{instance}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "policy": {
    object (Policy)
  },
  "updateMask": string
}
Fields
policy

object (Policy)

REQUIRED: The complete policy to be applied to the resource. The policy size is limited to 64 KB. An empty policy is valid, but certain Google Cloud services, such as Projects, might reject it.

updateMask

string (FieldMask format)

OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used:

paths: "bindings, etag"

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.